#
# spec file for package python-guzzle_sphinx_theme
#
# Copyright (c) 2025 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%{?sle15_python_module_pythons}
Name:           python-guzzle_sphinx_theme
Version:        0.7.11
Release:        4.1
Summary:        Sphinx theme used by Guzzle
License:        MIT AND OFL-1.1
Group:          Development/Languages/Python
URL:            https://github.com/guzzle/guzzle_sphinx_theme
Source:         https://files.pythonhosted.org/packages/source/g/guzzle_sphinx_theme/guzzle_sphinx_theme-%{version}.tar.gz
BuildRequires:  %{python_module Sphinx >= 1.2b1}
BuildRequires:  %{python_module pip}
BuildRequires:  %{python_module setuptools}
BuildRequires:  %{python_module wheel}
BuildRequires:  python-rpm-macros
Requires:       python-Sphinx >= 1.2b1
BuildArch:      noarch
%python_subpackages

%description
This package contains the python bindings of the Sphinx theme used by Guzzle.

%prep
%setup -q -n guzzle_sphinx_theme-%{version}
find guzzle_sphinx_theme/guzzle_sphinx_theme/static -type f -exec chmod -x "{}" \;
find . -iname .DS_Store -delete

%build
%pyproject_wheel

%install
%pyproject_install

%files %{python_files}
%license LICENSE
%doc README.rst
%{python_sitelib}/guzzle_sphinx_theme
%{python_sitelib}/guzzle_sphinx_theme-%{version}*-info

%changelog
* Tue May 27 2025 Markéta Machová <mmachova@suse.com>
- Convert to pip-based build
* Wed Aug 16 2023 ecsos <ecsos@opensuse.org>
- Add %%{?sle15_python_module_pythons}
* Tue Dec  4 2018 Matej Cepl <mcepl@suse.com>
- Remove superfluous devel dependency for noarch package
* Tue Jul  4 2017 alarrosa@suse.com
- Initial release of guzzle_sphinx_theme 0.7.11
